<?php

/**
 * Register Groups Essays Reports
 * render it with a callback function
 */

register_block_type( 'uncanny-learndash-groups/uo-groups-essays-report', [
	'attributes' => [
		'columns' => [
			'type'    => 'string',
			'default' => 'Title, First name, Last name, Username, Status, Points, Question, Content, Course, Lesson, Quiz, Comments, Date',
		],
	],
	'render_callback' => 'render_display_essays_report',
] );

function render_display_essays_report( $attributes ) {

	// Start output
	ob_start();

	// Check if the class exists
	if ( class_exists( '\uncanny_learndash_groups\GroupEssays' ) ) {

		$class = \uncanny_learndash_groups\Utilities::get_class_instance( 'GroupEssays' );
		$columns = $attributes['columns'];
		// Check if the course ID is empty
		echo $class->display_essays( [
			'columns' => $columns,
		] );
	}

	// Get output
	$output = ob_get_clean();

	// Return output
	return $output;
}
